<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://themeforest.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Fc
 * @subpackage Fc/admin/partials
 */
$chatbot = get_option("fc_chatbotdata");
$chat_switch = $chat_key = $switchclass = '';
if(!empty($chatbot)){
	$chat_switch = $chatbot['chatbot_en'];
	if($chat_switch == 'on'){
		$switchclass = 'checked';
	}
	$chat_key = $chatbot['chatbot_openai'];
}
?>
<div class="fc-main-wrapper">
	<h1 class="fc-page-title"><?php echo esc_html__('Fitness Calculator','fc'); ?></h1>
	<div class="fc-page-content">
		<div class="fc-row">
			<!-- Tab Start  -->
			<div class="fc-tabs-container">
				<ul class="fc-tabs-nav">
					<li><a href="#setting"><?php echo esc_html__('General Setting','fc'); ?></a></li>
					<li><a href="#bmi"><?php echo esc_html__('BMI Calculator','fc'); ?></a></li>
					<li><a href="#intake"><?php echo esc_html__('Water Intake Calculator','fc'); ?></a></li>
					<li><a href="#kito"><?php echo esc_html__('Calory Calculator','fc'); ?></a></li>
					<li><a href="#quote"><?php echo esc_html__('Health Fitness Quotes','fc'); ?></a></li>
					<li><a href="#walkingtest"><?php echo esc_html__('6 Minute WalkingTest','fc'); ?></a></li>
					<li><a href="#bloodtype"><?php echo esc_html__('BloodType Calculator','fc'); ?></a></li>
					<li><a href="#chatbot"><?php echo esc_html__('ChatBot','fc'); ?></a></li>
					<li><a href="#diet"><?php echo esc_html__('Diet Chart','fc'); ?></a></li>
				</ul>
				<div class="fc-tabs-content">
					<div id="setting" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-general-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('General Settings ','fc'); ?><small><?php echo esc_html__('Settings for color options of HealthPro shortcodes.','fc'); ?></small> 
								</h4>
								<form method="post" action="" class="fc_general_form">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Primary Color','fc'); ?></label>
											<input id="fc_primarycolor" type="color" value="<?php echo esc_attr($primarycolor); ?>" name="fc_primarycolor" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Title Color','fc'); ?></label>
											<input id="fc_titlecolor" type="color" value="<?php echo esc_attr($titlecolor); ?>" name="fc_titlecolor" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Text Color','fc'); ?></label>
											<input id="fc_textcolor" type="color" value="<?php echo esc_attr($textcolor); ?>" name="fc_textcolor" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Background Color','fc'); ?></label>
											<input id="fc_bgcolor" type="color" value="<?php echo esc_attr($bgcolor); ?>" name="fc_bgcolor" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Input BG Color','fc'); ?></label>
											<input id="fc_inputbg" type="color" value="<?php echo esc_attr($inputbg); ?>" name="fc_inputbg" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Input Color','fc'); ?></label>
											<input id="fc_inputcolor" type="color" value="<?php echo esc_attr($inputcolor); ?>" name="fc_inputcolor" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Border Color','fc'); ?></label>
											<input id="fc_bordercolor" type="color" value="<?php echo esc_attr($bordercolor); ?>" name="fc_bordercolor" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Calculator page redirect url','fc'); ?></label>
											<input id="fc_socialpage" type="text" value="<?php echo esc_attr($socialpage); ?>" name="fc_socialpage" />
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Use Plugin Font Family','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="fc_fontfamily" <?php echo esc_attr($ffclass); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-btn" name="fc_general_form" value="<?php echo esc_attr__('Save','fc'); ?>">
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
					<div id="bmi" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-bmi-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('BMI Calculator ','fc'); ?><small><?php echo esc_html__('Setting options for BMI Calculator.','fc'); ?></small> 
								</h4>
								<form action="" method="post" class="fc_sbmi">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('BMI Title','fc'); ?></label>
											<input type="text" id="fc_bmihead" name="fc_bmihead" placeholder="<?php echo esc_attr__('Enter Heading For BMI Form','fc'); ?>" value="<?php echo esc_attr($bmiheading); ?>">
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('BMI Calculator Status','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="bmi_sw" <?php echo esc_attr($bmienable); ?> />
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('BFP Calculator Status','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="bmi_bfp_sw" <?php echo esc_attr($bfpenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Body Fat Status','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="bmi_bodyfat_sw" <?php echo esc_attr($bodyfatenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Ideal Weight Status','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="bmi_iweight_sw" <?php echo esc_attr($iweightenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('1 Column Section','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="bmi_columnsec_sw" <?php echo esc_attr($columnsecenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-bmi-submit fc-btn" name="fc_sbmi" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
										<div class="shortcode-wrapper">
											<?php echo esc_html__('You can use ','fc'); ?>
											<strong><?php echo esc_html__('[fc-bmi-cal]','fc'); ?></strong>
											<?php echo esc_html__('shortcode to call fitness calculator form on any page','fc'); ?>
										</div>
									</div>									
								</form>
							</div>
						</div>
					</div>
					<div id="intake" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-intake-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Water Intake Calculator ','fc'); ?><small><?php echo esc_html__('Settings for Water Intake Calculator','fc'); ?></small> 
								</h4>
								<form action="" method="post" id="fc_swic">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Water Intake Form Title','fc'); ?></label>
											<input type="text" id="fc_wihead" name="fc_wihead" placeholder="<?php echo esc_attr__('Enter Heading For Water Intake Form ','fc'); ?>" value="<?php echo esc_attr($wicheading); ?>">
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-bmi-submit fc-btn" name="fc_swic" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
								<div class="shortcode-wrapper">
									<?php echo wp_kses('You can use <strong>[fc-water-intake]</strong> shortcode to call water intake form on any page',true); ?>
								</div>
							</div>
						</div>
					</div>
					<div id="kito" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-kito-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Kito Diet ','fc'); ?><small><?php echo esc_html__('Settings for Kito diet calculator','fc'); ?></small> 
								</h4>
								<form action="" method="post" id="fc_scc">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Calories Calculator Form Title','fc'); ?></label>
											<input type="text" id="fc_cchead" name="fc_cchead" placeholder="<?php echo esc_attr__('Enter Calories Calculator Form Title','fc'); ?>" value="<?php echo esc_attr($ccheading); ?>">
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('1 Column Section','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="calorie_columnsec_sw" <?php echo esc_attr($colsecenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-cc-submit fc-btn" name="fc_scc" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
								<div class="shortcode-wrapper">
									<?php echo wp_kses('You can use <strong>[fc-calories-calculator]</strong> shortcode to call calories calculator form on any page',true); ?>
								</div>
							</div>
						</div>
					</div>
					<div id="quote" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-quote-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Health Fitness Quotes ','fc'); ?><small><?php echo esc_html__('Manage quote  & text from here ','fc'); ?></small> 
								</h4>
								<form action="" method="post" class="fc_quote">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Quote Position Enable/Disable','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="quote_status" <?php echo esc_attr($statusenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Select Quote Position','fc'); ?></label>
											<select name="fc_position">
												<option value="fc-select"><?php echo esc_html__('Select Position','fc'); ?></option>
												<?php if($quote_position == 'fc-top-left'){ ?>
												<option value="fc-top-left" <?php echo esc_html($exclass); ?>><?php echo esc_html__('Top Left','fc'); ?></option>
												<?php } 
												else { ?>
												<option value="fc-top-left"><?php echo esc_html__('Top Left','fc'); ?></option>	
												<?php } 
												if($quote_position == 'fc-top-right'){ ?>
												<option value="fc-top-right" <?php echo esc_html($exclass); ?>><?php echo esc_html__('Top Right','fc'); ?></option>
												<?php } 
												else { ?>
												<option value="fc-top-right"><?php echo esc_html__('Top Right','fc'); ?></option>	
												<?php } 
												if($quote_position == 'fc-bottom-left'){ ?>
												<option value="fc-bottom-left" <?php echo esc_html($exclass); ?>><?php echo esc_html__('Bottom Left','fc'); ?></option>
												<?php } 
												else { ?>
												<option value="fc-bottom-left"><?php echo esc_html__('Bottom Left','fc'); ?></option>
												<?php } 
												if($quote_position == 'fc-bottom-right'){ ?>
												<option value="fc-bottom-right" <?php echo esc_html($exclass); ?>><?php echo esc_html__('Bottom Right','fc'); ?></option>
												<?php } 
												else { ?>
												<option value="fc-bottom-right"><?php echo esc_html__('Bottom Right','fc'); ?></option>
												<?php } ?>
											</select>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-btn" name="fc_quote" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
								<div class="shortcode-wrapper">
									<?php echo wp_kses('You can use <strong>[fc-hf-quote]</strong> shortcode to call Health & Fitness Quote on any page',true); ?>
								</div>
							</div>
						</div>
					</div>
					<div id="walkingtest" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-quote-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Walking Test Calculator ','fc'); ?><small><?php echo esc_html__('Manage walking test calculator from here ','fc'); ?></small> 
								</h4>
								<form action="" method="post" class="wt_column_form">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('1 Column Section','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="wt_column" <?php echo esc_attr($wtenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-btn" name="wt_column_submit" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
								<div class="shortcode-wrapper">
									<?php echo wp_kses('You can use <strong>[fc-walking-test]</strong> shortcode to call walking test calculator on any page',true); ?>
								</div>
							</div>
						</div>
					</div>
					<div id="bloodtype" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-quote-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Blood Type Calculator ','fc'); ?><small><?php echo esc_html__('Manage blood type calculator from here ','fc'); ?></small> 
								</h4>
								<form action="" method="post" class="bt_column_form">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('1 Column Section','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="bt_column" <?php echo esc_attr($btenable); ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-btn" name="bt_column_submit" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
								<div class="shortcode-wrapper">
									<?php echo wp_kses('You can use <strong>[fc-blood-type]</strong> shortcode to call Blood Type Calculator on any page',true); ?>
								</div>
							</div>
						</div>
					</div>
					<div id="chatbot" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-quote-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Chatbot Settings','fc'); ?><small><?php echo esc_html__(' Manage your site chatbot from here ','fc'); ?></small> 
								</h4>
								<form action="" method="post" class="bt_chatbot_form">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Enable Chatbot','fc'); ?></label>
											<div class="fc-switch-box">
												<label class="fc-switch">
													<input type="checkbox" name="chat_enable" <?php echo (!empty($switchclass))? esc_attr($switchclass) : ''; ?>>
													<span class="fc-slider fc-round"></span>
												</label>
											</div>
											<div class="fc-input-wrapper fc-inline-field">
												<label><?php echo esc_html__('Openai API Key','fc'); ?></label>
												<input type="text" id="chat_openaikey" name="chat_openaikey" placeholder="<?php echo esc_attr__('Enter Openai api','fc'); ?>" value="<?php echo (!empty($chat_key))? esc_attr($chat_key) : ''; ?>">
												<p><?php echo esc_html__('Get your openai api key from here : '); ?><a href="<?php echo esc_url("https://openai.com/"); ?>" target="_blank" >Openai</a></p>
											</div>
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-btn" name="chat_submit" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
							</div>
						</div>
					</div>
					
					<div id="diet" class="fc-single-tab">
						<div class="fc-tab-section">
							<div class="fc-quote-settings">
								<h4 class="fc-sub-title">
									<?php echo esc_html__('Diet Chart Settings','fc'); ?><small><?php echo esc_html__(' Add diet chart from here ','fc'); ?></small> 
								</h4>
								<form action="" method="post" class="bt_diet_form">
									<div class="fc-form-wrap">
										<div class="fc-input-wrapper fc-inline-field">
											<label><?php echo esc_html__('Diet Chart Heading','fc'); ?></label>
											<?php
											$fc_diet = get_option('fc_diet');
											?>
											<input type="text" id="diet_heading" name="diet_heading" placeholder="<?php echo esc_attr__('Enter diet chart heading','fc'); ?>" value="<?php echo (!empty($fc_diet['diet_heading']))? $fc_diet['diet_heading']:'';  ?>">
										</div>
										<div class="fc-btn-wrap">
											<input type="submit" class="fc-btn" name="diet_submit" value="<?php echo esc_attr__('Submit','fc'); ?>">
										</div>
									</div>
								</form>
								<div class="shortcode-wrapper">
									<?php echo wp_kses('You can use <strong>[fc-dietchart]</strong> shortcode to call Diet Chart Calculator on any page',true); ?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>