jQuery(document).ready(function ($) {
	'use strict';

	/** Chat Boat Position Toggle **/
	$(".fc-chatboat-wrap .fc-card").slideUp("fast");
	$(".fc-chatboat-wrap").addClass("fc-chatbox-hide");
	$(document).on('click', '.fc-chatboat-icon', function() {
		$(".fc-chatboat-wrap .fc-card").slideDown("fast");
		$(".fc-chatboat-wrap").removeClass("fc-chatbox-hide");
	});
	$(document).on('click', '.fc-chatboat-close', function() {
		$(".fc-chatboat-wrap .fc-card").slideUp("fast");
		$(".fc-chatboat-wrap").addClass("fc-chatbox-hide");
	});

	$(".social-share").click(function(e){
		e.stopPropagation();
		$(this).toggleClass("show");
	});
	$(".social-share a").click(function(e){
		e.stopPropagation();
	});
	$("body").click(function(){
		$(".social-share").removeClass("show");
	});

	/**
	 * BMI Calculator JS
	 */
	$(document).on('submit','#fc-bmi-form', function(e){
		e.preventDefault();
		var age    = $('#fc_age').val();
		var gender = $('#fc_gen').val();
		var h_feet = $('#fc_height_feet').val();
		var h_inch = $('#fc_height_inch').val();
		var weight = $('#fc_weight').val();
		var ajax_path = fc_ajax_path;    //ajax url get from localize script
		$.ajax({
			url  :  ajax_path.url,
			type : 'post',
			data : {
				'action': 'fc_bmi_calculation',
				'age'   : age,
				'gen'   : gender,
				'h_feet': h_feet,
				'h_inch': h_inch,
				'weight': weight,
			},
			success: function(response){
			    if(age <= 20){
			        console.log(age);
			        $('#bmiChart').css('display','none');
			        $('#bmiChartcd').css('display','block');
			    }
			    if(age > 20){
			        $('#bmiChart').css('display','block');
			        $('#bmiChartcd').css('display','none');
			    }
				var result = JSON.parse(response);
				var bmi = result.bmi;
				$(".succ-bmi").html(result.bmi+' kg/m2');
				$(".succ-bfp").html(result.bfp+' %');
				$(".succ-iw").html(result.idealweight+' kgs');
				$(".succ-bmr").html(result.bmr+' calories/day');
                bmi = Math.round(bmi);
				if( bmi >= 0 && bmi <= 18 ){
					var transform = 90-bmi;
					var color = 'rotate(-'+transform+'deg)';
					$('.fc-pendulum').css('transform', color);
				}
				if( bmi >= 19 && bmi <= 25 ){
					if(bmi >= 19){
					$('.fc-pendulum').css('transform', 'rotate(-50deg)');
					}
					if(bmi >= 20){
					$('.fc-pendulum').css('transform', 'rotate(-40deg)');
					}
					if(bmi >= 21){
					$('.fc-pendulum').css('transform', 'rotate(-35deg)');
					}
					if(bmi >= 22){
					$('.fc-pendulum').css('transform', 'rotate(-30deg)');
					}
					if(bmi >= 23){
					$('.fc-pendulum').css('transform', 'rotate(-25deg)');
					}
					if(bmi >= 24){
					$('.fc-pendulum').css('transform', 'rotate(-20deg)');
					}
					if(bmi >= 25){
					$('.fc-pendulum').css('transform', 'rotate(-10deg)');
					}
				}
				if( bmi >= 26 && bmi <= 35 ){
					if(bmi == 26){
					$('.fc-pendulum').css('transform', 'rotate(-10deg)');
					}
					if(bmi == 27){
					$('.fc-pendulum').css('transform', 'rotate(0deg)');
					}
					if(bmi == 28){
					$('.fc-pendulum').css('transform', 'rotate(10deg)');
					}
					if(bmi == 29){
					$('.fc-pendulum').css('transform', 'rotate(15deg)');
					}
					if(bmi == 30){
					$('.fc-pendulum').css('transform', 'rotate(20deg)');
					}
					if(bmi == 31){
					$('.fc-pendulum').css('transform', 'rotate(25deg)');
					}
					if(bmi == 32){
					$('.fc-pendulum').css('transform', 'rotate(30deg)');
					}
					if(bmi == 33){
					$('.fc-pendulum').css('transform', 'rotate(35deg)');
					}
					if(bmi == 34){
					$('.fc-pendulum').css('transform', 'rotate(40deg)');
					}
					if(bmi == 35){
					$('.fc-pendulum').css('transform', 'rotate(50deg)');
					}
				}
				if( bmi >= 36 ){
					var transform = 15+bmi;
					var color = 'rotate('+transform+'deg)';
					$('.fc-pendulum').css('transform', color);
				}
			}
		});
	});
	$(document).on('keyup','#fc_height_cm', function(){
		var height = $('#fc_height_cm').val();
		var ajax_path = fc_ajax_path;    //ajax url get from localize script
		$.ajax({
			url  :  ajax_path.url,
			type : 'post',
			data : {
				'action'   : 'fc_convert_cmtofoot',
				'height'   : height,
			},
			success: function(response){
				var result = JSON.parse(response);
				$('#fc_height_feet').val(result.feet);
				$('#fc_height_inch').val(result.inch);
			}
		});
	});
	$(document).on('keyup','#fc_height_inch', function(){
		var h_inch = $('#fc_height_inch').val();
		var h_foot = $('#fc_height_feet').val();
		if(h_inch != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_foottocm',
					'h_inch'   : h_inch,
					'h_foot'   : h_foot,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_height_cm').val(result.fheight);
				}
			});
		}
	});
	$(document).on('keyup','#fc_weight', function(){
		var weightkg = $('#fc_weight').val();
		if(weightkg != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action':'fc_convert_kgtoibs',
					'weightkg': weightkg,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_weight_ibs').val(result.fweight);
				}
			});
		}
	});
	$(document).on('keyup','#fc_weight_ibs', function(){
		var weightibs = $('#fc_weight_ibs').val();
		if(weightibs != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_ibstokg',
					'weightibs'   : weightibs,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_weight').val(result.fweight);
				}
			});
		}
	});
	/**
	 * Water Intake Calculator
	 */
	$(document).on('submit','#fc-wake-form', function(e){
		e.preventDefault();
		var age       = $('#fc_wake_age').val();
		var gen       = $('#fc_wake_gen').val();
		var h_feet    = $('#fc_wake_height_feet').val();
		var h_inch    = $('#fc_wake_height_inch').val();
		var weight    = $('#fc_wake_weight').val();
		var season    = $('#fc_wake_sea').val();
		var activity    = $('#fc_wake_ac').val();
		var ajax_path = fc_ajax_path;
		$.ajax({
			url : ajax_path.url,
			type : 'post',
			data : {
				'action'  : 'fc_water_intake',
				'age'     : age,
				'gen'     : gen,
				'h_feet'  : h_feet,
				'h_inch'  : h_inch,
				'weight'  : weight,
				'season'  : season,
				'activity': activity
			},
			success: function(response){
				var result = JSON.parse(response);
				$('.fc-success-ans').html(result.water_require);
			}
		});
	});
	$(document).on('keyup','#fc_wake_height_cm', function(){
		var height = $('#fc_wake_height_cm').val();
		var ajax_path = fc_ajax_path;    //ajax url get from localize script
		$.ajax({
			url  :  ajax_path.url,
			type : 'post',
			data : {
				'action'   : 'fc_convert_cmtofoot',
				'height'   : height,
			},
			success: function(response){
				var result = JSON.parse(response);
				$('#fc_wake_height_feet').val(result.feet);
				$('#fc_wake_height_inch').val(result.inch);
			}
		});
	});
	$(document).on('keyup','#fc_wake_height_inch', function(){
		var h_inch = $('#fc_wake_height_inch').val();
		var h_foot = $('#fc_wake_height_feet').val();
		if(h_inch != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_foottocm',
					'h_inch'   : h_inch,
					'h_foot'   : h_foot,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_wake_height_cm').val(result.fheight);
				}
			});
		}
	});
	$(document).on('keyup','#fc_wake_weight', function(){
		var weightkg = $('#fc_wake_weight').val();
		if(weightkg != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_kgtoibs',
					'weightkg'   : weightkg,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_wake_weight_ibs').val(result.fweight);
				}
			});
		}
	});
	$(document).on('keyup','#fc_wake_weight_ibs', function(){
		var weightibs = $('#fc_wake_weight_ibs').val();
		if(weightibs != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_ibstokg',
					'weightibs'   : weightibs,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_wake_weight').val(result.fweight);
				}
			});
		}
	});
	
	//calorie calculator
	$(document).on('keyup','#fc_cc_height_cm', function(){
		var height = $('#fc_cc_height_cm').val();
		var ajax_path = fc_ajax_path;    //ajax url get from localize script
		$.ajax({
			url  :  ajax_path.url,
			type : 'post',
			data : {
				'action'   : 'fc_convert_cmtofoot',
				'height'   : height,
			},
			success: function(response){
				var result = JSON.parse(response);
				$('#fc_cc_height_feet').val(result.feet);
				$('#fc_cc_height_inch').val(result.inch);
			}
		});
	});
	
	$(document).on('keyup','#fc_cc_height_inch', function(){
		var h_inch = $('#fc_cc_height_inch').val();
		var h_foot = $('#fc_cc_height_feet').val();
		if(h_inch != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_foottocm',
					'h_inch'   : h_inch,
					'h_foot'   : h_foot,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_cc_height_cm').val(result.fheight);
				}
			});
		}
	});
	
	$(document).on('keyup','#fc_cc_weight', function(){
		var weightkg = $('#fc_cc_weight').val();
		if(weightkg != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_kgtoibs',
					'weightkg'   : weightkg,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_cc_weight_ibs').val(result.fweight);
				}
			});
		}
	});
	
	$(document).on('keyup','#fc_cc_weight_ibs', function(){
		var weightibs = $('#fc_cc_weight_ibs').val();
		if(weightibs != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_ibstokg',
					'weightibs'   : weightibs,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_cc_weight').val(result.fweight);
				}
			});
		}
	});
	
	/**
	 * Calory Calculator
	 */
	$(document).on('submit','#fc-ccal-form', function(e){
		e.preventDefault();
		$("#wakeChart").empty();
		var age       = $('#fc_cc_age').val();
		var gen       = $('#fc_cc_gen').val();
		var hight_cm    = $('#fc_cc_height_cm').val();
		var weight    = $('#fc_cc_weight').val();
		var goal    = $('#fc_cc_goal').val();
		var activity    = $('#fc_cc_ac').val();
		var ajax_path = fc_ajax_path;
		$.ajax({
			url : ajax_path.url,
			type : 'post',
			data : {
				'action'  : 'fc_calorie_calculator',
				'age'     : age,
				'gen'     : gen,
				'hight_cm': hight_cm,
				'weight'  : weight,
				'goal'    : goal,
				'activity': activity
			},
			success: function(response){
				var result = JSON.parse(response);
				if(result.status == 'success'){
					$('.fc-cc-success-ans').html(result.data);
					var protien_require = result.protien_require;
					var fat = result.fat;
					var carb = result.carb;
					setTimeout(wakeCharts( protien_require,fat,carb ), 3000);
					setTimeout(wakeCharts, 3000, protien_require,fat,carb);
				}
			}
		});
	});	
	
	/**
	 * Walk distance
	 */
	$(document).on('submit','#fc-walkdis-form', function(e){
		e.preventDefault();
		var height = $('#fc_wd_height_cm').val();
		var age = $('#fc_wd_age').val();
		var gen = $('#fc_wd_gen').val();
		var weight = $('#fc_wd_weight').val();
		var ajax_path = fc_ajax_path;
		$.ajax({
		    url : ajax_path.url,
		    type : 'post',
		    data : {
		        'action' : 'fc_walkdistance_cal',
		        'age'    : age,
		        'gen'    : gen,
		        'height' : height,
		        'weight' : weight,
		    },
		    success: function(response){
		        var result = JSON.parse(response);
		        $('#fcmwd6').html(result.mwd6+' Meters');
		        $('#fcmwd6lower').html(result.mwd6_lower+' Meters');
		    }
		})

	 });
	 
	 $(document).on('keyup','#fc_wd_height_cm', function(){
		var height = $('#fc_wd_height_cm').val();
		var ajax_path = fc_ajax_path;    //ajax url get from localize script
		$.ajax({
			url  :  ajax_path.url,
			type : 'post',
			data : {
				'action'   : 'fc_convert_cmtofoot',
				'height'   : height,
			},
			success: function(response){
				var result = JSON.parse(response);
				$('#fc_wd_height_feet').val(result.feet);
				$('#fc_wd_height_inch').val(result.inch);
			}
		});
	});
	
	$(document).on('keyup','#fc_wd_height_inch', function(){
		var h_inch = $('#fc_wd_height_inch').val();
		var h_foot = $('#fc_wd_height_feet').val();
		if(h_inch != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_foottocm',
					'h_inch'   : h_inch,
					'h_foot'   : h_foot,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_wd_height_cm').val(result.fheight);
				}
			});
		}
	});
	
	$(document).on('keyup','#fc_wd_weight', function(){
		var weightkg = $('#fc_wd_weight').val();
		if(weightkg != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action':'fc_convert_kgtoibs',
					'weightkg': weightkg,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_wd_weight_ibs').val(result.fweight);
				}
			});
		}
	});
	
	$(document).on('keyup','#fc_wd_weight_ibs', function(){
		var weightibs = $('#fc_wd_weight_ibs').val();
		if(weightibs != ''){
			var ajax_path = fc_ajax_path;    //ajax url get from localize script
			$.ajax({
				url  :  ajax_path.url,
				type : 'post',
				data : {
					'action'   : 'fc_convert_ibstokg',
					'weightibs'   : weightibs,
				},
				success: function(response){
					var result = JSON.parse(response);
					$('#fc_wd_weight').val(result.fweight);
				}
			});
		}
	});
	
	/**
	 * Blood Type
	 */
	$(document).on('submit','#fc-bloodtype-form', function(e){
		e.preventDefault();
		var mother_btype = $('#fc_bt_mother').val();
		var mother_rh = $('#fc_bt_motherh').val();
		var father_btype = $('#fc_bt_father').val();
		var father_rh = $('#fc_bt_fatherh').val();
		var ajax_path = fc_ajax_path;
		$.ajax({
		    url : ajax_path.url,
		    type : 'post',
		    data : {
		        'action'       : 'fc_bloodtype_cal',
		        'mother_btype' : mother_btype,
		        'mother_rh'    : mother_rh,
		        'father_btype' : father_btype,
		        'father_rh'    : father_rh,
		    },
		    success: function(response){
		        var result = JSON.parse(response);
		        $('.result-div-a').html(result.a+'%');
		        $('.result-div-b').html(result.b+'%');
		        $('.result-div-ab').html(result.ab+'%');
		        $('.result-div-o').html(result.o+'%');
		        $('.result-div-p').html(result.rh_plus+'%');
		        $('.result-div-m').html(result.rh_minus+'%');
		    }
		})

	 });
	 
	 /**
	  * Print BMI
	  */
     $(document).on('click','#fc-print-bmi', function(e){
		var htmlWidth = $(".fc-calculation-result-print").width();
		var htmlHeight = $(".fc-calculation-result-print").height();
		var pdfWidth = htmlWidth + (15 * 2);
		var pdfHeight = (pdfWidth * 1.5) + (15 * 2);
		
		var doc = new jsPDF('p', 'pt', [pdfWidth, pdfHeight]);
	
		var pageCount = Math.ceil(htmlHeight / pdfHeight) - 1;
	
	
		html2canvas($(".fc-calculation-result-print")[0], { allowTaint: true }).then(function(canvas) {
			canvas.getContext('2d');
	
			var image = canvas.toDataURL("image/png", 1.0);
			doc.addImage(image, 'PNG', 15, 15, htmlWidth, htmlHeight);
	
	
			for (var i = 1; i <= pageCount; i++) {
				doc.addPage(pdfWidth, pdfHeight);
				doc.addImage(image, 'PNG', 15, -(pdfHeight * i)+15, htmlWidth, htmlHeight);
			}
			
		doc.save("output.pdf");
		});
    });
    
	/**
	 * Print Walk Distance
	 */
    $(document).on('click','#wd-print-bmi', function(e){
		var htmlWidth = $(".fc-wd-result-inner").width();
		var htmlHeight = $(".fc-wd-result-inner").height();
		var pdfWidth = htmlWidth + (15 * 2);
		var pdfHeight = (pdfWidth * 1.5) + (15 * 2);
		
		var doc = new jsPDF('p', 'pt', [pdfWidth, pdfHeight]);
	
		var pageCount = Math.ceil(htmlHeight / pdfHeight) - 1;
	
	
		html2canvas($(".fc-wd-result-inner")[0], { allowTaint: true }).then(function(canvas) {
			canvas.getContext('2d');
	
			var image = canvas.toDataURL("image/png", 1.0);
			doc.addImage(image, 'PNG', 15, 15, htmlWidth, htmlHeight);
	
	
			for (var i = 1; i <= pageCount; i++) {
				doc.addPage(pdfWidth, pdfHeight);
				doc.addImage(image, 'PNG', 15, -(pdfHeight * i)+15, htmlWidth, htmlHeight);
			}
			
		doc.save("output.pdf");
		});
    });

	/**
	 * Print Blood Type
	 */    
    $(document).on('click','#fc-print-bt', function(e){
		var htmlWidth = $(".fc-bt-inner").width();
		var htmlHeight = $(".fc-bt-inner").height();
		var pdfWidth = htmlWidth + (15 * 2);
		var pdfHeight = (pdfWidth * 1.5) + (15 * 2);
		
		var doc = new jsPDF('p', 'pt', [pdfWidth, pdfHeight]);
	
		var pageCount = Math.ceil(htmlHeight / pdfHeight) - 1;
	
	
		html2canvas($(".fc-bt-inner")[0], { allowTaint: true }).then(function(canvas) {
			canvas.getContext('2d');
	
			var image = canvas.toDataURL("image/png", 1.0);
			doc.addImage(image, 'PNG', 15, 15, htmlWidth, htmlHeight);
	
	
			for (var i = 1; i <= pageCount; i++) {
				doc.addPage(pdfWidth, pdfHeight);
				doc.addImage(image, 'PNG', 15, -(pdfHeight * i)+15, htmlWidth, htmlHeight);
			}
			
		doc.save("output.pdf");
		});
    });
	
	/**
	 * Print calory
	 */    
    $(document).on('click','#fc-print-calory', function(e){
		var htmlWidth = $(".fc-calory-cal").width();
		var htmlHeight = $(".fc-calory-cal").height();
		var pdfWidth = htmlWidth + (15 * 2);
		var pdfHeight = (pdfWidth * 1.5) + (15 * 2);
		
		var doc = new jsPDF('p', 'pt', [pdfWidth, pdfHeight]);
	
		var pageCount = Math.ceil(htmlHeight / pdfHeight) - 1;
	
	
		html2canvas($(".fc-calory-cal")[0], { allowTaint: true }).then(function(canvas) {
			canvas.getContext('2d');
	
			var image = canvas.toDataURL("image/png", 1.0);
			doc.addImage(image, 'PNG', 15, 15, htmlWidth, htmlHeight);
	
	
			for (var i = 1; i <= pageCount; i++) {
				doc.addPage(pdfWidth, pdfHeight);
				doc.addImage(image, 'PNG', 15, -(pdfHeight * i)+15, htmlWidth, htmlHeight);
			}
			
		doc.save("output.pdf");
		});
    });

	/**
	 * Social Share
	 */
	$(".fc-socialshare").click(function(){
		var type = $(this).attr('data-type');
		var cal = $(this).attr('data-result');
		
		var ajax_path = fc_ajax_path;
		var getBUrl = ajax_path.site_url;
		var shareurl = getBUrl+'/social-share/';
		if(cal == 'bmi'){
			var bmi = $(".succ-bmi").text();
			var bfp = $(".succ-bmi").text();
			var idealw = $(".succ-bmi").text();
			var bmr = $(".succ-bmi").text();
			shareurl += '?type=bmi&bmi='+bmi+'&bfp='+bfp+'&idealw='+idealw+'&bmr='+bmr;
		}
		
		if(cal == 'calory'){
			var protien = $(".cal-protien").text();
			var bmr = $(".cal-bmr").text();
			var bfp = $(".cal-bfp").text();
			shareurl += '?type=calory&protien='+protien+'&bmr='+bmr+'&bfp='+bfp;
		}
		
		if(cal == 'walktest'){
			var mwd = $(".fc-wd-mwd6").text();
			var lmwd = $(".fc-wd-mwd6-lower").text();
			shareurl += '?type=walktest&mwd='+mwd+'&lmwd='+lmwd;
		}
		
		if(cal == 'bldtype'){
			var typea = $(".result-div-a").text();
			var typeo = $(".result-div-o").text();
			var typeb = $(".result-div-b").text();
			var typeab = $(".result-div-ab").text();
			var rhp = $(".result-div-p").text();
			var rhm = $(".result-div-m").text();
			shareurl += '?type=bldtype&typea='+typea+'&typeo='+typeo+'&typeb='+typeb+'&typeab='+typeab+'&rhp='+rhp+'&rhm='+rhm;
		}
		
		if( type == 'meta' ){
			//facebook sharing
			var fburl = 'https://www.facebook.com/sharer/sharer.php?u='+encodeURIComponent(shareurl);
			//window.open(window.location.href = fburl);
			window.open( fburl,'_blank' );
		}
		if( type == 'linkedin' ){
			//Linkedin sharing
			var lnkurl = 'https://www.linkedin.com/cws/share?url='+encodeURIComponent(shareurl);
			//window.location.href = lnkurl;
			window.open( lnkurl,'_blank' );
		}
		if( type == 'twitter' ){
			//Twitter sharing
			var twitter = 'https://twitter.com/intent/tweet?text=bmi&amp;url='+encodeURIComponent(shareurl)+'&amp;via=helthpro';
			//window.location.href = twitter;
			window.open( twitter,'_blank' );
		}
		if( type == 'whatsapp' ){
			//Whatsapp sharing
			var whatsapp = 'https://api.whatsapp.com/send?text='+encodeURIComponent(shareurl);
			//window.location.href = whatsapp;
			window.open( whatsapp,'_blank' );
		}
		
		
	});
	
	/**
	 * Chatbot Respose
	 */
	$('.fc-typing-balls').hide();
	$(document).on('click', '#fc_chat_option_send', function() {
		$('.fc-typing-balls').show();
        let chat_get_value = $('#fc_chat_option_input').val();
        if (chat_get_value == '') {
            //toastr.error('Please Type Here!');
            return false;
        } else {
			
			var ajax_path = fc_ajax_path; 
            var formdata = 'chat_get_value=' + chat_get_value;
            formdata += '&action=fc_chatboat_option_ajax';
            $.ajax({
                url: ajax_path.url,
                type: 'POST',
                data: formdata,
                success: function(response) {
                    $('#fc_chat_option_input').val('');
                    let res_data = JSON.parse(response);
                    $('.fc-typing-balls').hide();
                    if (res_data.status == 200) {
                        let output = '<div class="fc_chat_output gpt_chat_msg"><span><small>AI</small>' + res_data.content_data + '</span></div>';
                        let input = '<div class="fc_chat_input gpt_chat_msg"><span><small>You</small>' + chat_get_value + '</span></div>';
                        let response = input + output;
                        $('.fc-chatbox-messages').before(response);
                       $('.fc-chatboat-content').animate({scrollTop:$(document).height()}, 'slow');
					} else {
                        if(res_data.status==429){
                            console.log(response);
                          // toastr.error(res_data.message);
                           $('.fc-plan-alert-inner').html('<p class="fc-plan-error">'+response.message+'</p>');

							setTimeout(function() {
								$('.fc-plan-alert-inner').fadeOut('fast');
							}, 2000); // <-- time in milliseconds
                        }else{
                            console.log(response);
                           //toastr.error(res_data.message);
                           $('.fc-plan-alert-inner').html('<p class="fc-plan-error">'+res_data.message+'</p>');
						   
							setTimeout(function() {
								$('.fc-plan-alert-inner').fadeOut('fast');
							}, 2000); // <-- time in milliseconds
                        }
                    }
                }
            });
        }
    });
	
	/**
	 * Diet Chart
	 */
	$(document).on('submit', '#fc_dietchart_form', function(e) {
		e.preventDefault();
		var calory = $('#fc_dietcalory').val();
		var country = $('#fc_dietcountry').val();
		var category = $('#fc_foodcat').val();
		var ajax_path = fc_ajax_path;    //ajax url get from localize script
		$('.fc-preloader').css('display','flex');
		$.ajax({
			url  :  ajax_path.url,
			type : 'post',
			data : {
				'action'   : 'fc_diet_chart_ajax',
				'calory'   : calory,
				'country'  : country,
				'category'  : category,
			},
			success: function(response){
				$('.fc-preloader').css('display','none');
				let res_data = JSON.parse(response);
				if (res_data.status == 200) {
					$('.fc-dietplan-result').html(res_data.content_data);
				} else {
					if(res_data.status==429){
						console.log(response);
						$('.fc-dietplan-result').html('<div class="fc-diet-error">'+res_data.content_data+'</div>');
					}else{
						console.log(response);
						$('.fc-dietplan-result').html('<div class="fc-diet-error">'+res_data.content_data+'</div>');
					}
				}
			}
		});
	});
	 
	/**
	 * Wake Chart
	 */
    function wakeCharts( protien_require,fat,carb ) {
		var protien_require = protien_require;
		protien_require = Math.round( protien_require );
		var fat = fat;
		var carb = carb;
		var total = protien_require + fat + carb;
		var protienper = ( protien_require * 100 ) / total;
		var carbper = ( carb * 100 ) / total;
		var fatper = ( protien_require * 100 ) / total;
		
        var options = {
            chart: {
                type: 'pie',
                fontFamily: 'Outfit, sans-serif',
                toolbar: {
                    show: false
                },
                zoom: {
                    enabled: false
                },
            },
            legend: {
                show: false,
            },
            dataLabels: {
                enabled: true,
            },
            labels: ['Fat', 'Carb', 'Protien'],
            series: [fatper, carbper, protienper],
            responsive: [{
                breakpoint: 480,
                options: {
                    chart: {
                        width: 330
                    },
                }
            }],
            colors: ['#1b4962', '#ffa000', '#ff5050']
        }

        var chart = new ApexCharts(
            document.querySelector("#wakeChart"),
            options
        );
        chart.render();
    }
	
	$('.fc-dietplan-result table').addClass('fc-result-table');
});
