<?php

/**
 * Provide a public-facing view of calories calculator
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://themeforest.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Fc
 * @subpackage Fc/public/partials
 */ 
$result .='<div class="fc-calculator-wrapper fc-wake-wrapper">
    <div class="fc-container">
        <div class="fc-from-wrapper">
            <div class="fc-calculator-section'.esc_attr($colsecenable).'">
                <div class="fc-calculation-form">
                    <div class="fc-calculation-form-inner">';
                        if( !empty( $heading ) ){
                        $result .='<div class="fc-title">
                            <h1 id="title">'. esc_html( $heading ).'</h1>
                        </div>';
                        }
                        $result .='<form action="" id="fc-ccal-form">
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Gender","fc") .'</label>
                                    <select name="dropdown" id="fc_cc_gen" class="form-input" required>
                                        <option value="male" selected>'. esc_html__("Male","fc") .'</option>
                                        <option value="female">'. esc_html__('Female','fc') .'</option>
                                    </select>
                                </div>
                                <div class="fc-input-wrapper">
                                    <label for="number">'. esc_html__("Age","fc") .'</label>
                                    <input type="number" id="fc_cc_age" class="form-input" placeholder="'. esc_html__("Enter Age","fc").'" required>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number" >'. esc_html__("Height (In Foot and Inch OR In CM)","fc").'</label>
                                <div class="fc-col fc-col-spacer">
                                    <div class="fc-col fc-col-2">
                                        <input type="number" id="fc_cc_height_feet" class="form-input" placeholder="'. esc_attr__("In Foot","fc").'"
                                        required>
                                        <input type="number" id="fc_cc_height_inch" class="form-input" placeholder="'. esc_attr__("In Inch","fc") .'"
                                        required>
                                    </div>
                                    <span class="fc-divider">or</span>
                                    <input type="number" id="fc_cc_height_cm" class="form-input" placeholder="'. esc_attr__("In cm","fc") .'"
                                    required>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number">'. esc_html__("Weight (In KG OR LBS)","fc").'</label>
                                <div class="fc-col fc-col-2 has-vertical-or-divider">
                                    <input type="number" id="fc_cc_weight" placeholder="'. esc_attr__("In KG","fc") .'" class="form-input" required>
                                    <span class="fc-divider fc-vertical">or</span>
                                    <input type="number" id="fc_cc_weight_ibs" placeholder="'. esc_attr__("In LBS","fc") .'" class="form-input" required>
                                </div>
                            </div>
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Activity level","fc") .'</label>
                                    <select name="dropdown" id="fc_cc_ac" class="form-input" required>
                                        <option value="0" selected>'. esc_html__("Sedentary","fc").'</option>
                                        <option value="1">'. esc_html__("Lightly active","fc") .'</option>
                                        <option value="2">'. esc_html__("Moderately active","fc") .'</option>
                                        <option value="3">'. esc_html__("Very active","fc").'</option>
                                    </select>
                                </div>
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Goal","fc").'</label>
                                    <select name="dropdown" id="fc_cc_goal" class="form-input" required>
                                        <option value="fat-loss" selected>'. esc_html__("Fat loss","fc").'</option>
                                        <option value="maintenance" >'. esc_html__("Maintenance","fc") .'</option>
                                        <option value="muscle-gain">'. esc_html__("Muscle gain","fc") .'</option>
                                    </select>
                                </div>
                            </div>
                            <div class="fc-btn-wrap">
                                <button type="submit" id="fc-cc-form-submit" class="fc-btn">
                                    '. esc_html__("Submit","fc") .'
                                </button>
                            </div>
							<div class="fc-cc-success-ans"></div>
                        </form>
                    </div>
                </div>
				<div class="fc-calculation-result">
				    <div class="print-wrapper">
                        <a href="javascript:;" id="fc-print-calory"><img src="'.plugin_dir_url( __DIR__  ).'images/print.png"></a>
                    </div>
                    <div class="print-wrapper social-share">
                        <div class="social-share-btn">
                            <svg version="1.1" x="0" y="0" viewBox="0 0 512 512" xml:space="preserve"><g><path d="M406 332c-29.641 0-55.761 14.581-72.167 36.755L191.99 296.124c2.355-8.027 4.01-16.346 4.01-25.124 0-11.906-2.441-23.225-6.658-33.636l148.445-89.328C354.307 167.424 378.589 180 406 180c49.629 0 90-40.371 90-90S455.629 0 406 0s-90 40.371-90 90c0 11.437 2.355 22.286 6.262 32.358l-148.887 89.59C156.869 193.136 132.937 181 106 181c-49.629 0-90 40.371-90 90s40.371 90 90 90c30.13 0 56.691-15.009 73.035-37.806l141.376 72.395C317.807 403.995 316 412.75 316 422c0 49.629 40.371 90 90 90s90-40.371 90-90-40.371-90-90-90z" fill="currentColor" opacity="1" data-original="#000000"/></g></svg>
                        </div>
                        <ul>
                            <li>
                                <a href="javascript:;" id="fc-metashare" class="fc-socialshare" data-type="meta" data-result="calory" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/meta.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-lnkshare" class="fc-socialshare" data-type="linkedin" data-result="calory" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/linkedin.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-twitter" class="fc-socialshare" data-type="twitter" data-result="calory" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/twitter.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-whatsapp" class="fc-socialshare" data-type="whatsapp" data-result="calory" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/whatsapp.png"></a>
                            </li>
                        </ul>					
                    </div>
				    <div class="fc-calory-cal">
    					<div class="fc-calculation-chart">
    						<div id="wakeChart"></div>
    					</div>
    					<div class="fc-table-wrap">
    						<table class="fc-result-table">
    							<tbody>
    								<tr>
    									<th>'. esc_html__("Carbs Requirement","fc") .'</th>
    									<th>'. esc_html__("Women","fc") .'</th>
    									<th>'. esc_html__("Men","fc") .'</th>
    								</tr>
    								<tr>
    									<td>'. esc_html__("Recommended amount:","fc") .'</td>
    									<td>'. esc_html__("20-25%","fc") .'</td>
    									<td>'. esc_html__("8-14%","fc") .'</td>
    								</tr>
    								<tr>
    								</tr>
    								<tr class="bmiGreen">
    									<td>'. esc_html__("Adults in United States, average :","fc") .'</td>
    									<td>'. esc_html__("22-25%","fc") .'</td>
    									<td>'. esc_html__("15-19%","fc") .'</td>
    								</tr>
    								<tr>
    									<td>'. esc_html__("Obese :","fc") .'</td>
    									<td>'. esc_html__("30+%","fc") .'</td>
    									<td>'. esc_html__("25+%","fc") .'</td>
    								</tr>
    							</tbody>
    						</table>
    					</div>
					</div>
				</div>  
            </div>           
        </div>
    </div>
</div>';