<?php

/**
 * Provide a public-facing view of water intake shortcode
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://themeforest.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Fc
 * @subpackage Fc/public/partials
 */
$result .='<div class="fc-calculator-wrapper fc-wake-wrapper full-width">
    <div class="fc-container">
        <div class="fc-from-wrapper">
            <div class="fc-calculator-section">
                <div class="fc-calculation-form">
                    <div class="fc-calculation-form-inner">';
                        if( !empty( $heading ) ){ 
                        $result .='<div class="fc-title">
                            <h1 id="title">'. esc_html( $heading ).'</h1>
                        </div>';
                        }
                        $result .='<form action="#" id="fc-wake-form">
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="number">'. esc_html__("Age","fc") .'</label>
                                    <select name="dropdown" id="fc_wake_age" class="form-input" required>
                                        <option value="14-18" selected>'. esc_html__("14-18","fc") .'</option>
                                        <option value="19-30">'. esc_html__("19-30","fc") .'</option>
                                        <option value="31-50">'. esc_html__("31-50","fc") .'</option>
                                        <option value="50+">'. esc_html__("50+","fc") .'</option>
                                    </select>
                                </div>
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Gender","fc") .'</label>
                                    <select name="dropdown" id="fc_wake_gen" class="form-input" required>
                                        <option value="male" selected>'. esc_html__("Male","fc") .'</option>
                                        <option value="female">'. esc_html__("Female","fc") .'</option>
                                    </select>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number" >'. esc_html__("Height (In Foot and Inch OR In CM)","fc").'</label>
                                <div class="fc-col  fc-col-spacer">
                                    <div class="fc-col fc-col-2">
                                        <input type="number" id="fc_wake_height_feet" class="form-input" placeholder="'. esc_attr__("In Foot","fc") .'"
                                        required>
                                        <input type="number" id="fc_wake_height_inch" class="form-input" placeholder="'. esc_attr__("In Inch","fc") .'"
                                        required>
                                    </div>
                                    <span class="fc-divider">or</span>
                                    <input type="number" id="fc_wake_height_cm" class="form-input" placeholder="'. esc_attr__("In cm","fc") .'"
                                    required>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number">'. esc_html__("Weight (In KG OR LBS)","fc") .'</label>
                                <div class="fc-col fc-col-2 has-vertical-or-divider">
                                    <input type="number" id="fc_wake_weight" placeholder="'. esc_attr__("In KG","fc") .'" class="form-input" required>
                                    <span class="fc-divider fc-vertical">or</span>
                                    <input type="number" id="fc_wake_weight_ibs" placeholder="'. esc_attr__("In LBS","fc") .'" class="form-input" required>
                                </div>
                            </div>
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Season","fc") .'</label>
                                    <select name="dropdown" id="fc_wake_sea" class="form-input" required>
                                        <option value="winter" selected>'. esc_html__("Winter","fc") .'</option>
                                        <option value="normal">'. esc_html__("Normal","fc") .'</option>
                                        <option value="summer">'. esc_html__("Summer","fc") .'</option>
                                    </select>
                                </div>
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Activity level","fc") .'</label>
                                    <select name="dropdown" id="fc_wake_ac" class="form-input" required>
                                        <option value="lightly-active" selected>'. esc_html__("Lightly active","fc") .'</option>
                                        <option value="moderately-active">'. esc_html__("Moderately active","fc") .'</option>
                                        <option value="very-active">'. esc_html__("Very Active","fc") .'</option>
                                    </select>
                                </div>
                            </div>
                            <div class="fc-btn-wrap">
                                <button type="submit" id="fc-wake-form-submit" class="fc-btn">
                                    '. esc_html__("Submit","fc") .'
                                </button>
                            </div>
                        </form>
                        <div class="fc-success-ans"></div>
                    </div>
                </div>
                <div class="fc-calculation-chart">
                    <div id="waterIntake"></div>
                </div>
            </div>
        </div>
    </div>
</div>';
