<?php
/**
 * Provide a Walking Test view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://themeforest.net/user/kamleshyadav
 * @since      1.0.0
 *
 * @package    Fc
 * @subpackage Fc/public/partials
 */

$result .='<div class="fc-calculator-wrapper fc-bmi-wrapper">
    <div class="fc-container">
        <div class="fc-from-wrapper">
            <div class="fc-calculator-section'.esc_attr($colsecenable).' oneRowWalking">
                <div class="fc-calculation-form">
                    <div class="fc-calculation-form-inner">';
                        if( !empty( $heading ) ){ 
                        $result .='<div class="fc-title">
                            <h1 id="title">'. esc_html( $heading ).'</h1>
                        </div>';
                        }
                        $result .='<form action="#" id="fc-walkdis-form">
                            <div class="fc-col fc-col-2">
                                <div class="fc-input-wrapper">
                                    <label for="number">'. esc_html__("Age","fc").'</label>
                                    <input type="number" id="fc_wd_age" placeholder="'. esc_attr__("Enter Your Age","fc").'" class="form-input" required>
                                </div>
                                <div class="fc-input-wrapper">
                                    <label for="dropdown">'. esc_html__("Gender","fc") .'</label>
                                    <select name="dropdown" id="fc_wd_gen" class="form-input" required>
                                        <option value="male" selected>'. esc_html__("Male","fc") .'</option>
                                        <option value="female">'. esc_html__("Female","fc") .'</option>
                                    </select>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number" >'. esc_html__("Height (In Foot and Inch OR In CM)","fc").'</label>
                                <div class="fc-col fc-col-spacer">
                                    <div class="fc-col fc-col-2">
                                        <input type="number" id="fc_wd_height_feet" class="form-input" placeholder="'. esc_attr__("In Foot","fc") .'"
                                        required>
                                        <input type="number" id="fc_wd_height_inch" class="form-input" placeholder="'. esc_attr__("In Inch","fc") .'"
                                        required>
                                    </div>
                                    <span class="fc-divider">or</span>
                                    <input type="number" id="fc_wd_height_cm" class="form-input" placeholder="'. esc_attr__("In cm","fc") .'"
                                    required>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number">'. esc_html__("Weight (In KG OR LBS)","fc") .'</label>
                                <div class="fc-col fc-col-2 has-vertical-or-divider">
                                    <input type="number" id="fc_wd_weight" placeholder="'. esc_attr__("In KG","fc") .'" class="form-input" required>
                                    <span class="fc-divider fc-vertical">or</span>
                                    <input type="number" id="fc_wd_weight_ibs" placeholder="'. esc_attr__("In LBS","fc") .'" class="form-input" required>
                                </div>
                            </div>
                            <div class="fc-input-wrapper">
                                <label for="number">'. esc_html__("Dis. Walked","fc") .'</label>
                                <div class="fc-col has-vertical-or-divider">
                                    <input type="number" id="fc_diswalk" placeholder="'. esc_attr__("In FT","fc") .'" class="form-input" required>
                                </div>
                            </div>
                            <div class="fc-btn-wrap">
                                <button type="submit" id="fc-walkdis-form-submit" class="fc-btn">
                                    '. esc_html__("Calculate","fc") .'
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="fc-wd-result">
                    <div class="print-wrapper print-wrapper-waling">
                        <a href="javascript:;" id="wd-print-bmi"><img src="'.plugin_dir_url( __DIR__  ).'images/print.png"></a>
                    </div>
                    <div class="print-wrapper social-share">
                        <div class="social-share-btn">
                            <svg version="1.1" x="0" y="0" viewBox="0 0 512 512" xml:space="preserve"><g><path d="M406 332c-29.641 0-55.761 14.581-72.167 36.755L191.99 296.124c2.355-8.027 4.01-16.346 4.01-25.124 0-11.906-2.441-23.225-6.658-33.636l148.445-89.328C354.307 167.424 378.589 180 406 180c49.629 0 90-40.371 90-90S455.629 0 406 0s-90 40.371-90 90c0 11.437 2.355 22.286 6.262 32.358l-148.887 89.59C156.869 193.136 132.937 181 106 181c-49.629 0-90 40.371-90 90s40.371 90 90 90c30.13 0 56.691-15.009 73.035-37.806l141.376 72.395C317.807 403.995 316 412.75 316 422c0 49.629 40.371 90 90 90s90-40.371 90-90-40.371-90-90-90z" fill="currentColor" opacity="1" data-original="#000000"/></g></svg>
                        </div>
                        <ul>
                            <li>
                                <a href="javascript:;" id="fc-metashare" class="fc-socialshare" data-type="meta" data-result="walktest" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/meta.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-lnkshare" class="fc-socialshare" data-type="linkedin" data-result="walktest" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/linkedin.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-twitter" class="fc-socialshare" data-type="twitter" data-result="walktest" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/twitter.png"></a>
                            </li>
                            <li>
                                <a href="javascript:;" id="fc-whatsapp" class="fc-socialshare" data-type="whatsapp" data-result="walktest" target="_blank"><img src="'.plugin_dir_url( __DIR__  ).'images/whatsapp.png"></a>
                            </li>
                        </ul>					
                    </div>
                   <div class="fc-wd-result-inner">
                        <div class="fc-wd-result-value1">
                        <div class="fc-svg"><svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svgjs="http://svgjs.com/svgjs" x="0" y="0" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path fill-rule="evenodd" d="M148.301 496H77.05l37.726-125.312h13.141l-2.517 4.14c-10.427 17.147-4.969 39.734 12.169 50.19 6.968 4.251 14.842 5.871 22.435 5.143zm228.186-115.863-33.204-87.949a22.451 22.451 0 0 0-5.389-8.229l-51.885-57.44v-94.241c0-14.849-12.116-26.963-26.964-26.963-7.187 0-10.914 2.249-12.616 3.146l-66.071 36.865c-5.774 2.634-10.193 7.976-11.367 14.699l-12.256 70.038c-1.892 10.833 5.357 21.149 16.191 23.041 10.833 1.891 21.149-5.357 23.041-16.191l10.574-60.425 25.542-13.416v62.514c0 11.629 1.491 11.187 7.913 19.05l62.587 67.318 31.737 84.062c4.385 11.644 17.38 17.529 29.024 13.144 11.643-4.384 17.528-17.379 13.143-29.023zM252.866 279.042l-23.43-25.201c-2.701-3.308-5.794-6.448-7.876-10.198l-84.199 138.459c-6.479 10.621-3.122 24.485 7.499 30.965 10.621 6.479 24.485 3.122 30.964-7.499zm47.141-85.699v-57.622l60.604 62.203c7.738 7.781 7.703 20.363-.078 28.1-7.781 7.738-20.362 7.703-28.1-.078zM269.483 16c18.178 0 32.915 14.736 32.915 32.915S287.661 81.83 269.483 81.83s-32.915-14.737-32.915-32.915S251.305 16 269.483 16zm22.143 480h-71.252l7.726-125.312h55.8zm143.324 0h-71.252l-12.74-71.675c5.678.707 11.601.09 17.318-2.063 18.85-7.098 28.424-28.222 21.308-47.07l-1.701-4.505h9.341zM16 496V370.688h42.275zm480-125.312V496l-42.274-125.312z" clip-rule="evenodd" fill="#ffffff" data-original="#000000" class=""></path></g></svg></div>
                            <label>'.esc_html__('Expected 6 Minute Walk Distance for healthy patient','fc').'</label>
                            <div class="fc-wd-mwd6" id="fcmwd6"></div>
                        </div>
                     
                        <div class="fc-wd-result-value2">
                            <div class="fc-svg"><svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svgjs="http://svgjs.com/svgjs" x="0" y="0" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path fill-rule="evenodd" d="M65.974 202.629C36.736 214.602 16 243.405 16 276.824c0 44.068 36.054 80.122 80.122 80.122h17.212c.001-78.786 63.88-142.663 142.665-142.663 78.786 0 142.664 63.878 142.665 142.663h17.213c44.069 0 80.122-36.054 80.122-80.122 0-36.844-25.203-68.08-59.22-77.333-6.269-57.933-55.329-103.035-114.927-103.035-13.694 0-26.831 2.381-39.02 6.752-23.044-22.296-54.429-36.02-89.025-36.02-70.72 0-128.05 57.33-128.05 128.05 0 2.482.078 4.945.217 7.391zM256 230.283c69.955 0 126.665 56.71 126.665 126.665 0 33.492-12.998 63.949-34.226 86.599a4 4 0 0 1-5.748.093l-7.686-7.686a4.001 4.001 0 0 1-.099-5.554c17.928-19.25 28.896-45.071 28.896-73.451 0-59.536-48.266-107.802-107.802-107.802s-107.802 48.266-107.802 107.802c0 28.38 10.967 54.2 28.896 73.451a4 4 0 0 1-.099 5.554l-7.687 7.687a3.998 3.998 0 0 1-5.747-.093c-21.228-22.65-34.227-53.107-34.227-86.599 0-69.956 56.71-126.666 126.666-126.666zm0 110.164c9.113 0 16.5 7.387 16.5 16.5s-7.387 16.5-16.5 16.5c-3.117 0-6.033-.865-8.519-2.367l-34.132 19.706a7.981 7.981 0 0 1-8-13.812l34.156-19.72c-.002-.102-.004-.204-.004-.307-.001-9.112 7.386-16.5 16.499-16.5zm-91.061 24.5a8 8 0 0 1 0-16h12.656a8 8 0 0 1 0 16zm21.015-66.733a7.998 7.998 0 0 1 0-11.312 7.998 7.998 0 0 1 11.312 0l8.949 8.949a7.998 7.998 0 0 1 0 11.312 7.998 7.998 0 0 1-11.312 0zM248 265.887a8 8 0 0 1 16 0v12.656a8 8 0 0 1-16 0zm66.733 21.015a7.998 7.998 0 0 1 11.312 0 7.998 7.998 0 0 1 0 11.312l-8.949 8.949a7.998 7.998 0 0 1-11.312 0 7.998 7.998 0 0 1 0-11.312zm32.327 62.046a8 8 0 0 1 0 16h-12.656a8 8 0 0 1 0-16zm-21.015 66.733-8.949-8.949a7.998 7.998 0 0 0-11.312 0 7.998 7.998 0 0 0 0 11.312l8.949 8.949a7.998 7.998 0 0 0 11.312 0 7.998 7.998 0 0 0 0-11.312zm-128.779 11.312 8.949-8.949a7.998 7.998 0 0 0 0-11.312 7.998 7.998 0 0 0-11.312 0l-8.949 8.949a7.998 7.998 0 0 0 0 11.312 7.998 7.998 0 0 0 11.312 0zm-3.459-319.418a8 8 0 0 1 0 16c-39.595 0-71.663 32.069-71.663 71.663a8 8 0 0 1-16 0c0-48.428 39.235-87.663 87.663-87.663z" clip-rule="evenodd" fill="#ffffff" data-original="#000000" class=""></path></g></svg></div>
                            <label>'.esc_html__('Lower limit of normal','fc').'</label>
                            <div class="fc-wd-mwd6-lower" id="fcmwd6lower"></div>
                        </div>
                   </div>
                </div>
            </div>
        </div>
    </div>
</div>';